using System;
using System.Configuration;

namespace DesignPatterns.Decorator.CentralPerk
{
	public class Expresso: Beverage
	{
		public Expresso()
		{}

		public override double Cost()
		{
			return GetSize(base.Size);
		}

		public override string GetDescription()
		{
			return "Expresso";
		}

		private double GetSize(BeverageSize size)
		{
			switch(size)
			{
				case BeverageSize.TALL:
                    return 1.50;
				case BeverageSize.GRANDE:
                    return 1.65;
				case BeverageSize.VENTI:
                    return 1.75;
				default:
					return 1.50;
			}
		}

	}
}
